Package be.ehealth.businessconnector.hub.builders

# Class ResponseBuilder

java.lang.Object
be.ehealth.businessconnector.hub.builders.ResponseBuilder

public final class ResponseBuilder extends Object
Builder for and response.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `buildAccessRightListTypeResponse(AccessRightListType response)`
  It builds the xml for the AccessRightListType object.
  `String`
  `buildConsentHCPartyTypeResponse(ConsentHCPartyType response)`
  It builds the xml for the ConsentHCPartyType object.
  `String`
  `buildConsentTypeResponse(ConsentType response)`
  It builds the xml for the ConsentType object.
  `String`
  `buildHCPartyAdaptedTypeResponse(HCPartyAdaptedType response)`
  It builds the xml for the HCPartyAdaptedType object.
  `String`
  `buildIDKMEHRResponse(IDKMEHR response)`
  It builds the xml for the IDKMEHR object.
  `String`
  `buildKmehrHeaderGetTransactionListResponse(KmehrHeaderGetTransactionList response)`
  It builds the xml for the KmehrHeaderGetTransactionList object.
  `String`
  `buildKmehrmessageResponse(Kmehrmessage response)`
  It builds the xml for the Kmehrmessage object.
  `String`
  `buildPersonTypeResponse(PersonType response)`
  It builds the xml for the PersonType object.
  `<T> String`
  `buildResponse(T response, Class<T> clazz)`
  It builds the response xml string given the object.
  `String`
  `buildTherapeuticLinkTypeResponse(TherapeuticLinkType response)`
  It builds the xml for the TherapeuticLinkType object.
  `String`
  `buildTransactionAccessListTypeResponse(TransactionAccessListType response)`
  It builds the xml for the TransactionAccessListType object.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResponseBuilder

    public ResponseBuilder()

- ## Method Details

  - ### buildResponse

    public <T> String buildResponse(T response, Class<T> clazz) throws TechnicalConnectorException
    It builds the response xml string given the object.
    Type Parameters:
      `T` -
    Parameters:
      `response` - the response object.
      `clazz` - the class of the response.
    Returns:
      the xml string.
    Throws:
      `TechnicalConnectorException` - technical error.

  - ### buildIDKMEHRResponse

    public String buildIDKMEHRResponse(IDKMEHR response) throws TechnicalConnectorException
    It builds the xml for the IDKMEHR object.
    Parameters:
      `response` - the IDKMEHR object.
    Returns:
      the resulting xml as string.
    Throws:
      `TechnicalConnectorException` - unexpected error.

  - ### buildKmehrHeaderGetTransactionListResponse

    public String buildKmehrHeaderGetTransactionListResponse(KmehrHeaderGetTransactionList response) throws TechnicalConnectorException
    It builds the xml for the KmehrHeaderGetTransactionList object.
    Parameters:
      `response` - the KmehrHeaderGetTransactionList object.
    Returns:
      the resulting xml as string.
    Throws:
      `TechnicalConnectorException` - unexpected error.

  - ### buildKmehrmessageResponse

    public String buildKmehrmessageResponse(Kmehrmessage response) throws TechnicalConnectorException
    It builds the xml for the Kmehrmessage object.
    Parameters:
      `response` - the Kmehrmessage object.
    Returns:
      the resulting xml as string.
    Throws:
      `TechnicalConnectorException` - unexpected error.

  - ### buildHCPartyAdaptedTypeResponse

    public String buildHCPartyAdaptedTypeResponse(HCPartyAdaptedType response) throws TechnicalConnectorException
    It builds the xml for the HCPartyAdaptedType object.
    Parameters:
      `response` - the HCPartyAdaptedType object.
    Returns:
      the resulting xml as string.
    Throws:
      `TechnicalConnectorException` - unexpected error.

  - ### buildPersonTypeResponse

    public String buildPersonTypeResponse(PersonType response) throws TechnicalConnectorException
    It builds the xml for the PersonType object.
    Parameters:
      `response` - the PersonType object.
    Returns:
      the resulting xml as string.
    Throws:
      `TechnicalConnectorException` - unexpected error.

  - ### buildConsentHCPartyTypeResponse

    public String buildConsentHCPartyTypeResponse(ConsentHCPartyType response) throws TechnicalConnectorException
    It builds the xml for the ConsentHCPartyType object.
    Parameters:
      `response` - the ConsentHCPartyType object.
    Returns:
      the resulting xml as string.
    Throws:
      `TechnicalConnectorException` - unexpected error.

  - ### buildConsentTypeResponse

    public String buildConsentTypeResponse(ConsentType response) throws TechnicalConnectorException
    It builds the xml for the ConsentType object.
    Parameters:
      `response` - the ConsentType object.
    Returns:
      the resulting xml as string.
    Throws:
      `TechnicalConnectorException` - unexpected error.

  - ### buildTherapeuticLinkTypeResponse

    public String buildTherapeuticLinkTypeResponse(TherapeuticLinkType response) throws TechnicalConnectorException
    It builds the xml for the TherapeuticLinkType object.
    Parameters:
      `response` - the TherapeuticLinkType object.
    Returns:
      the resulting xml as string.
    Throws:
      `TechnicalConnectorException` - unexpected error.

  - ### buildAccessRightListTypeResponse

    public String buildAccessRightListTypeResponse(AccessRightListType response) throws TechnicalConnectorException
    It builds the xml for the AccessRightListType object.
    Parameters:
      `response` - the AccessRightListType object.
    Returns:
      the resulting xml as string.
    Throws:
      `TechnicalConnectorException` - unexpected error.

  - ### buildTransactionAccessListTypeResponse

    public String buildTransactionAccessListTypeResponse(TransactionAccessListType response) throws TechnicalConnectorException
    It builds the xml for the TransactionAccessListType object.
    Parameters:
      `response` - the TransactionAccessListType object.
    Returns:
      the resulting xml as string.
    Throws:
      `TechnicalConnectorException` - unexpected error.